import mods.nei.NEI;

//Remove higher tier RF generation
recipes.remove(<GalacticraftCore:tile.machine>);

//GT6 Gasoline works in the machine.  Refinery is not needed.
recipes.remove(<GalacticraftCore:tile.refinery>);
NEI.hide(<GalacticraftCore:tile.refinery>);
NEI.addEntry(<GalacticraftCore:tile.refinery>.withTag({display: {Lore: ["Overlap GT6 Gas works in GC Machines"]}}));

//Remove GC Compressor, GT Plates should work in recipes
recipes.remove(<GalacticraftCore:tile.machine:12>);
recipes.remove(<GalacticraftCore:tile.machine2>);

//Remove GC Circuit Fab
recipes.remove(<GalacticraftCore:tile.machine2:4>);

recipes.remove(<GalacticraftCore:tile.rocketWorkbench>);//NASA workbench recipe change
recipes.addShaped(<GalacticraftCore:tile.rocketWorkbench>,[[<ore:plateSteel>,<ore:robotArmMV>,<ore:plateSteel>],[<ore:robotArmMV>,<ore:circuitAdvanced>,<ore:robotArmMV>],[<ore:plateSteel>,<ore:robotArmMV>,<ore:plateSteel>]]);

recipes.remove(<GalacticraftCore:tile.fuelLoader>);//Fuel Loader recipe change
recipes.addShaped(<GalacticraftCore:tile.fuelLoader>,[[<ore:plateSteel>,<ore:plateSteel>,<ore:plateSteel>],[<ore:plateSteel>,<ore:plateCurvedTin>,<ore:plateSteel>],[<ore:plateAluminium>,<ore:circuitGood>,<ore:plateAluminium>]]);

recipes.remove(<GalacticraftCore:tile.machineTiered>);//remove gc energy storage
recipes.remove(<GalacticraftCore:tile.machineTiered:8>);

recipes.remove(<GalacticraftCore:tile.oxygenDetector>);//change oxygendetector to use circuit
recipes.addShaped(<GalacticraftCore:tile.oxygenDetector>,[[<ore:plateSteel>,<ore:plateSteel>,<ore:plateSteel>],[<GalacticraftCore:item.airVent>,<ore:circuitGood>,<GalacticraftCore:item.airVent>],[<ore:dustRedstone>,<ore:plateAluminium>,<ore:dustRedstone>]]);

recipes.remove(<GalacticraftCore:item.battery:100>);//sulfur batteries
recipes.addShaped(<GalacticraftCore:item.battery:100>,[[null,<ore:plateTin>,null],[<ore:plateTin>,<ore:dustSulfur>,<ore:plateTin>],[<ore:plateTin>,<ore:dustCoal>,<ore:plateTin>]]);

recipes.remove(<GalacticraftCore:tile.solar>);//remove solars
recipes.remove(<GalacticraftCore:tile.solar:4>);

recipes.remove(<GalacticraftCore:tile.airLockFrame:1>);
recipes.addShaped(<GalacticraftCore:tile.airLockFrame:1>,
[[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>],
[<ore:compressedMeteoricIron>, <ore:circuitGood>, <ore:compressedMeteoricIron>],
[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>]]);

recipes.remove(<GalacticraftCore:tile.machineTiered:4>);//remove furnaces
recipes.remove(<GalacticraftCore:tile.machineTiered:12>);

recipes.remove(<GalacticraftCore:tile.spinThruster>);
recipes.addShaped(<GalacticraftCore:tile.spinThruster>,
[[null, null, null],
[<GalacticraftCore:item.fuelCanisterPartial:1>, <ore:circuitAdvanced>, <GalacticraftCore:item.engine>],
[<ore:plateSteel>, <ore:ingotMeteoricIron>, <ore:plateSteel>]]);

recipes.remove(<GalacticraftCore:tile.viewScreen>);
recipes.addShaped(<GalacticraftCore:tile.viewScreen>,
[[<ore:plateSteel>, <ore:circuitGood>, <ore:plateSteel>],
[<ore:circuitGood>, <minecraft:glass>, <ore:circuitGood>],
[<ore:plateSteel>, <ore:circuitGood>, <ore:plateSteel>]]);

recipes.remove(<GalacticraftCore:item.basicItem:19>);
recipes.addShaped(<GalacticraftCore:item.basicItem:19>,
[[null, <ore:plateAluminium>, null],
[<ore:compressedIron>, <minecraft:repeater>, <ore:compressedIron>],
[<minecraft:redstone>, <ore:circuitGood>, <minecraft:redstone>]]);

recipes.remove(<GalacticraftCore:tile.telemetry>);
recipes.addShaped(<GalacticraftCore:tile.telemetry>,
[[<ore:compressedTin>, <GalacticraftCore:item.basicItem:19>, <ore:compressedTin>],
[<ore:compressedTin>, <ore:circuitGood>, <ore:compressedTin>],
[<ore:compressedCopper>, <ore:compressedCopper>, <ore:compressedCopper>]]);

recipes.remove(<GalacticraftMars:tile.marsMachine:8>);
recipes.addShaped(<GalacticraftMars:tile.marsMachine:8>,
[[<ore:ingotDesh>, <GalacticraftCore:item.basicItem:19>, <ore:ingotDesh>],
[<ore:compressedDesh>, <ore:circuitAdvanced>, <ore:compressedDesh>],
[<ore:ingotDesh>, <ore:conveyorMV>, <ore:ingotDesh>]]);

recipes.remove(<GalacticraftMars:item.null:6>);
recipes.addShaped(<GalacticraftMars:item.null:6>,
[[<ore:ingotMeteoricIron>, <gregtech:gt.meta.rotor:500>, <ore:ingotMeteoricIron>],
[<minecraft:slime_ball>, <ore:circuitAdvanced>, <minecraft:slime_ball>],
[<ore:ingotMeteoricIron>, <ore:rotorTin>, <ore:ingotMeteoricIron>]]);

recipes.addShapeless(<GalacticraftCore:item.basicItem:14>, [<ore:circuitAdvanced>]);

recipes.remove(<GalacticraftCore:item.airFan>);
recipes.addShaped(<GalacticraftCore:item.airFan>,
[[<ore:plateSteel>, null, <ore:plateSteel>],
[null, <ore:circuitGood>, null],
[<ore:plateSteel>, <minecraft:redstone>, <ore:plateSteel>]]);

recipes.remove(<GalacticraftCore:item.engine>);
recipes.addShaped(<GalacticraftCore:item.engine>,
[[null, <gregtech:gt.multitileentity:15012>, null],
[<GalacticraftCore:item.heavyPlating>, <ore:plateCurvedTin>, <GalacticraftCore:item.heavyPlating>],
[<GalacticraftCore:item.heavyPlating>, <GalacticraftCore:item.airVent>, <GalacticraftCore:item.heavyPlating>]]);

recipes.remove(<GalacticraftMars:item.itemBasicAsteroids:1>);
recipes.addShaped(<GalacticraftMars:item.itemBasicAsteroids:1>,
[[null, <gregtech:gt.multitileentity:15012>, null],
[<GalacticraftMars:item.itemBasicAsteroids>, <ore:plateCurvedSteel>, <GalacticraftMars:item.itemBasicAsteroids>],
[<GalacticraftMars:item.itemBasicAsteroids>, <GalacticraftCore:item.airVent>, <GalacticraftMars:item.itemBasicAsteroids>]]);
