//Remove higher tier RF generation
recipes.remove(<Railcraft:machine.beta:7>);
recipes.remove(<Railcraft:machine.beta:8>);
recipes.remove(<Railcraft:machine.beta:9>);

//Change Railcraft Tank Cart to use GT5/6 items.
recipes.remove(<Railcraft:cart.tank>);
recipes.addShaped(<Railcraft:cart.tank>, [[<gregtech:gt.multitileentity:32714>], [<minecraft:minecart>]]);

//Removed Railcraft tanks as they will cause world corruption due to a unfixed Railcraft bug when used in conjunction with GT6.
//Iron Tank
recipes.remove(<Railcraft:machine.beta>);
recipes.remove(<Railcraft:machine.beta:1>);
recipes.remove(<Railcraft:machine.beta:2>);

//Steel Tank
recipes.remove(<Railcraft:machine.beta:13>);
recipes.remove(<Railcraft:machine.beta:14>);
recipes.remove(<Railcraft:machine.beta:15>);

//Allow converting of block back into stone
furnace.addRecipe(<Railcraft:cube:7>, <Railcraft:brick.quarried:2>);
furnace.addRecipe(<Railcraft:cube:6>, <Railcraft:brick.abyssal:2>);

//Change Ornate Stone blocks to match GT crafting
//Remove shaped crafting recipes
recipes.remove(<Railcraft:brick.quarried:3>);
recipes.remove(<Railcraft:brick.abyssal:3>);
recipes.remove(<Railcraft:brick.bleachedbone:3>);
recipes.remove(<Railcraft:brick.bloodstained:3>);
recipes.remove(<Railcraft:brick.frostbound:3>);
recipes.remove(<Railcraft:brick.infernal:3>);
recipes.remove(<Railcraft:brick.sandy:3>);
recipes.remove(<Railcraft:brick.nether:3>);

//Add GT file recipes
recipes.addShaped(<Railcraft:brick.quarried:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.quarried:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.abyssal:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.abyssal:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.bleachedbone:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.bleachedbone:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.bloodstained:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.bloodstained:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.frostbound:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.frostbound:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.infernal:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.infernal:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.sandy:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.sandy:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.nether:3>, [[<gregtech5:gt.metatool.01:18>, null, null],[<Railcraft:brick.nether:2>, null, null], [null, null, null]]);

//Add GT precision laser recipes
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.quarried:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.quarried:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.quarried:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.quarried:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.quarried:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.quarried:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.abyssal:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.abyssal:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.abyssal:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.abyssal:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.abyssal:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.abyssal:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.bleachedbone:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.bleachedbone:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.bleachedbone:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.bleachedbone:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.bleachedbone:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.bleachedbone:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.bloodstained:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.bloodstained:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.bloodstained:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.bloodstained:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.bloodstained:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.bloodstained:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.frostbound:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.frostbound:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.frostbound:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.frostbound:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.frostbound:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.frostbound:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.infernal:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.infernal:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.infernal:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.infernal:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.infernal:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.infernal:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.sandy:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.sandy:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.sandy:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.sandy:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.sandy:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.sandy:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.nether:3>, <gregtech5:gt.metaitem.01:24890> * 0, <Railcraft:brick.nether:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.nether:3>, <gregtech5:gt.metaitem.01:24515> * 0, <Railcraft:brick.nether:2>, 50, 16);
mods.gregtech.PrecisionLaser.addRecipe(<Railcraft:brick.nether:3>, <gregtech5:gt.metaitem.01:24500> * 0, <Railcraft:brick.nether:2>, 50, 16);

//Convert ornate blocks back into their base material
furnace.addRecipe(<Railcraft:brick.quarried:2>, <Railcraft:brick.quarried:3>);
furnace.addRecipe(<Railcraft:brick.abyssal:2>, <Railcraft:brick.abyssal:3>);
furnace.addRecipe(<Railcraft:brick.bleachedbone:2>, <Railcraft:brick.bleachedbone:3>);
furnace.addRecipe(<Railcraft:brick.bloodstained:2>, <Railcraft:brick.bloodstained:3>);
furnace.addRecipe(<Railcraft:brick.frostbound:2>, <Railcraft:brick.frostbound:3>);
furnace.addRecipe(<Railcraft:brick.infernal:2>, <Railcraft:brick.infernal:3>);
furnace.addRecipe(<Railcraft:brick.sandy:2>, <Railcraft:brick.sandy:3>);
furnace.addRecipe(<Railcraft:brick.nether:2>, <Railcraft:brick.nether:3>);

//Convert etched blocks back into their base material
furnace.addRecipe(<Railcraft:brick.quarried:2>, <Railcraft:brick.quarried:4>);
furnace.addRecipe(<Railcraft:brick.abyssal:2>, <Railcraft:brick.abyssal:4>);
furnace.addRecipe(<Railcraft:brick.bleachedbone:2>, <Railcraft:brick.bleachedbone:4>);
furnace.addRecipe(<Railcraft:brick.bloodstained:2>, <Railcraft:brick.bloodstained:4>);
furnace.addRecipe(<Railcraft:brick.frostbound:2>, <Railcraft:brick.frostbound:4>);
furnace.addRecipe(<Railcraft:brick.infernal:2>, <Railcraft:brick.infernal:4>);
furnace.addRecipe(<Railcraft:brick.sandy:2>, <Railcraft:brick.sandy:4>);
furnace.addRecipe(<Railcraft:brick.nether:2>, <Railcraft:brick.nether:4>);

//Craft railcraft blocks into their cobblestone variants
//Add hammer recipes
recipes.addShaped(<Railcraft:brick.quarried:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.quarried:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.abyssal:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.abyssal:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.bleachedbone:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.bleachedbone:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.bloodstained:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.bloodstained:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.frostbound:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.frostbound:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.infernal:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.infernal:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.sandy:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.sandy:2>, null, null], [null, null, null]]);
recipes.addShaped(<Railcraft:brick.nether:5>, [[<ore:craftingToolHardHammer>, null, null],[<Railcraft:brick.nether:2>, null, null], [null, null, null]]);

//Add forge hammer recipes
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:cube:7>, <Railcraft:brick.quarried:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.quarried:5>, <Railcraft:brick.quarried:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:cube:6>, <Railcraft:brick.abyssal:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.abyssal:5>, <Railcraft:brick.abyssal:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.bleachedbone:5>, <Railcraft:brick.bleachedbone:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.bloodstained:5>, <Railcraft:brick.bloodstained:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.frostbound:5>, <Railcraft:brick.frostbound:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.infernal:5>, <Railcraft:brick.infernal:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.sandy:5>, <Railcraft:brick.sandy:2>, 16, 10);
mods.gregtech.ForgeHammer.addRecipe(<Railcraft:brick.nether:5>, <Railcraft:brick.nether:2>, 16, 10);

//Blast furnace recipes
//Recipe removal
//mods.railcraft.BlastFurnace.removeRecipe(<Railcraft:ingot>);
//mods.railcraft.BlastFurnace.removeRecipe(<Railcraft:nugget:1>);
//Re-add recipes
mods.railcraft.BlastFurnace.addRecipe(<Railcraft:part.plate>, true, false, 1280, <Railcraft:ingot>);
mods.railcraft.BlastFurnace.addRecipe(<Railcraft:part.plate:1>, false, false, 1280, <Railcraft:ingot>);
mods.railcraft.BlastFurnace.addRecipe(<minecraft:iron_ingot>, false, false, 1280, <Railcraft:ingot>);
mods.railcraft.BlastFurnace.addRecipe(<gregtech5:gt.metaitem.01:11304>, false, false, 1280, <Railcraft:ingot>);
mods.railcraft.BlastFurnace.addRecipe(<gregtech5:gt.metaitem.01:2032>, false, false, 1000, <Railcraft:ingot>);
mods.railcraft.BlastFurnace.addRecipe(<gregtech5:gt.metaitem.01:2304>, false, false, 1000, <Railcraft:ingot>);

//Rolling Machine recipes
//Recipe removal
mods.railcraft.Rolling.removeRecipe(<Railcraft:part.plate>);
mods.railcraft.Rolling.removeRecipe(<Railcraft:part.plate:1>);
mods.railcraft.Rolling.removeRecipe(<Railcraft:part.plate:3>);
mods.railcraft.Rolling.removeRecipe(<Railcraft:part.plate:4>);
//Re-add recipes
mods.railcraft.Rolling.addShaped(<Railcraft:part.plate> * 2, [[<ore:ingotIron>, <ore:ingotIron>, <ore:ingotIron>],[null, null, null],[null, null, null]]);
mods.railcraft.Rolling.addShaped(<Railcraft:part.plate:1> * 2, [[<ore:ingotSteel>, <ore:ingotSteel>, <ore:ingotSteel>],[null, null, null],[null, null, null]]);
mods.railcraft.Rolling.addShaped(<Railcraft:part.plate:3> * 2, [[<ore:ingotCopper>, <ore:ingotCopper>, <ore:ingotCopper>],[null, null, null],[null, null, null]]);
mods.railcraft.Rolling.addShaped(<gregtech5:gt.metaitem.01:17300> * 2, [[<ore:ingotBronze>, <ore:ingotBronze>, <ore:ingotBronze>],[null, null, null],[null, null, null]]);
mods.railcraft.Rolling.addShaped(<Railcraft:part.plate:4> * 2, [[<ore:ingotLead>, <ore:ingotLead>, <ore:ingotLead>],[null, null, null],[null, null, null]]);

//Remove Coke Oven
recipes.remove(<Railcraft:machine.alpha:7>);